%define major 0
%define apiver 1
%define libname %mklibname %{name} %{apiver} %{major}
%define develname %mklibname %{name} -d

Summary:	A pixel manipulation library
Name:		pixman
Version:	0.43.4
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
URL:		http://gitweb.freedesktop.org/?p=pixman.git
Source:		http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version
BuildRequires:  meson
BuildRequires:  libgomp-devel

%description
Pixel manipulation Library.

%package -n %{libname}
Summary:	Pixel manipulation library
Group:		System/Libraries
Obsoletes:	%{_lib}pixman-1_0 < 0.22.0

%description -n %{libname}
A library for manipulating pixel regions -- a set of Y-X banded
rectangles, image compositing using the Porter/Duff model
and implicit mask generation for geometric primitives including
trapezoids, triangles, and rectangles.

%package -n %{develname}
Summary:	Libraries and include files for developing with libpixman
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{apiver}-devel = %{version}-%{release}
Obsoletes:	%{_lib}pixman-1-devel < 0.22.0

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop with pixman.

%prep
%setup -q

%build
%meson
%meson_build

%install
rm -rf %{buildroot}
%meson_install



rm -f %{buildroot}%{_libdir}/*.la


%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

#run it again
%posttrans -n %{libname}
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*%{apiver}.so.%{major}*

%files -n %{develname}
%defattr(0644,root,root,0755)
%{_libdir}/*.so
%{_includedir}/pixman-1/*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Feb 29 2024 tex - 0.43.4-1pclos2024
- new version

* Sat Jan 06 2024 tex - 0.43.0-1pclos2024
- new version

* Wed Nov 02 2022 tex - 0.42.2-1pclos2022
- new version

* Wed Oct 19 2022 tex - 0.42.0-1pclos2022
- new version

* Thu Apr 23 2020 tex - 0.40.0-1pclos2020
- new version

* Thu Apr 11 2019 tex - 0.38.4-1pclos2019
- new version

* Sun Mar 31 2019 tex - 0.38.0-3pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 0.38.0-2pclos2019
- rebuild against updates

* Sat Feb 16 2019 tex - 0.38.0-1pclos2019
- new version

* Fri Sep 15 2017 bb2 <bb2> - 0.34.0-2pclos2017
- rebuild new gcc

* Sun Mar 26 2017 bb2 <bb2> - 0.34.0-1.1pclos2017
- rebuilt

* Wed Jul 20 2016 bb <bb> - 0.34.0-1pclos2016
- update

